#ifndef HUDMANAGER
#define HUDMANAGER

#include <windows.h>
#include <stdarg.h>
#include <time.h>
#include <string>
#include <d3dx9.h>
#include <iostream>
#include <vector>

class HUDManager
{
public:
	HUDManager();
	~HUDManager();

	void Init(IDirect3DDevice9 *device);

	void Write(OUTPUT_TYPE type, char* outputContent, ...);
	void NewLine();
	void Clear();

	void Draw();
	void Draw(std::string outputText, D3DXVECTOR2 position);

	bool Show;
private:

	ID3DXFont* Font;
	D3DVIEWPORT9 Viewport;

	std::string outputBuffer;

	std::vector<std::string> outputLines;
	RECT outputRect;
};
#endif 
